# Chat sessions

```http
GET https://api.synup.com/api/v4/social-post-ideas/chat-sessions
```

Returns the AI post-idea chat sessions for a brand (social profile), most recent first. Use `limit` to cap the number of sessions returned.

Source: https://developer.synup.com/api/social-post-ideas/chat-sessions

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `socialProfileId` | string | required | Social profile ID. |
| `limit` | integer | optional | Maximum number of sessions to return. |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/social-post-ideas/chat-sessions' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
